require("QoRTs");
require("QoRTsExampleData");

directory <- system.file("extdata/", package="QoRTsExampleData", mustWork=TRUE);
decoder.file <- system.file("extdata/decoder.txt", package="QoRTsExampleData", mustWork=TRUE);
decoder.data <- read.table(decoder.file,header=T,stringsAsFactors=F);

print(decoder.data);

paste0(directory,decoder.data$qc.data.dir)

res <- read.qc.results.data(directory, decoder = decoder.data);
save(res,file="QoRTsExampleData/data/res.RData")

plotter.byGroup <- build.plotter.colorByGroup(res)
save(plotter.byGroup,file="QoRTsExampleData/data/plotter.byGroup.RData")

plotter.byLane  <- build.plotter.colorByLane(res)
save(plotter.byLane,file="QoRTsExampleData/data/plotter.byLane.RData")

#outfile.dir <- "./"
#plot.summary.basic(res, outfile.prefix = outfile.dir, plot.device.name = "CairoPNG");
#
#plot.summary.colorByGroup(res, outfile.prefix = outfile.dir, plot.device.name = "CairoPNG");
#
#plot.summary.colorByLane(res, outfile.prefix = outfile.dir, plot.device.name = "CairoPNG");
#
#plot.summary.sample.highlight.all(res,outfile.dir);
